> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a settlement

> Retrieve a settlement



## OpenAPI

````yaml Flutterwave_v4_Open_API.json get /settlements/{id}
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /settlements/{id}:
    get:
      tags:
        - Settlement
      summary: Retrieve a settlement
      description: Retrieve a settlement
      operationId: settlement_get
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/size'
        - in: path
          required: true
          name: id
          schema:
            description: ID of the settlement
            type: string
            nullable: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    $ref: '#/components/schemas/status'
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/settlement'
                  meta:
                    $ref: '#/components/schemas/list_response_meta'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
    page:
      in: query
      name: page
      description: >-
        The page of the data to retrieve. The most recent data entry is on page
        1.
      schema:
        type: integer
        minimum: 1
        default: 1
      example: 1
    size:
      in: query
      name: size
      description: Length of data returned. Defaults to 10.
      schema:
        type: integer
        minimum: 10
        maximum: 50
        default: 10
      example: 10
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    settlement:
      description: A settlement of a successful transaction
      type: object
      properties:
        id:
          description: ID of the settlement
          type: string
          example: stm_JJo3vjtffW
        net_amount:
          allOf:
            - $ref: '#/components/schemas/amount'
          description: Amount of the settlement
        gross_amount:
          $ref: '#/components/schemas/amount'
        currency:
          $ref: '#/components/schemas/currency'
        description:
          type: string
        meta:
          $ref: '#/components/schemas/meta'
        status:
          type: string
          description: The status of the settlement.
          example: completed
          enum:
            - disburse-pending
            - pending
            - reviewed
            - approved
            - completed
            - completed-offline
            - failed
            - flagged
            - processing
            - on-hold
        due_datetime:
          type: string
          format: date-time
          description: The settlement due date.
          example: '2025-02-07T12:00:00.022Z'
        transaction_datetime:
          type: string
          format: date-time
          description: The date the transaction was created.
          example: '2025-02-06T12:00:00.022Z'
        settlement_account:
          type: string
          description: The bank account number to which the transaction was settled.
          example: '0690000031'
        fees:
          allOf:
            - $ref: '#/components/schemas/settlement_fee'
        chargeback:
          type: number
          format: decimal
          description: The chargeback amount.
          example: '98.1'
        refund:
          type: number
          format: decimal
          description: The refunded amount.
          example: '98.1'
        destination:
          type: string
          description: The settlement destination.
          example: wallet
        charge_count:
          type: string
          description: The number of charge transactions that make up the settlement.
          example: '2'
        charges:
          type: array
          maxItems: 10
          description: The list of charge transactions that make up the settlement.
          items:
            $ref: '#/components/schemas/settlement_charge'
        created_datetime:
          type: string
          description: The date and time when the virtual account was created.
          example: '2025-02-07T12:00:00.022Z'
    list_response_meta:
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/page_info'
    amount:
      type: number
      format: decimal
      description: The payment amount in decimals.
      example: 12.34
      minimum: 0.01
    currency:
      description: ISO 4217 currency code.
      type: string
      example: NGN
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - AQD
        - ARS
        - AUD
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BWP
        - BYR
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CUP
        - CVE
        - CYP
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - ECS
        - EEK
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LTL
        - LVL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRO
        - MTL
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SKK
        - SLL
        - SOS
        - SRD
        - STD
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VND
        - VUV
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMK
        - ZWD
        - ZMW
    meta:
      type: object
      additionalProperties:
        type: string
    settlement_fee:
      description: Fees deducted before settlement
      type: array
      items:
        type: object
        properties:
          type:
            type: string
            description: The type of fee charged on the transaction.
            example: stamp_duty
          amount:
            type: number
            format: decimal
            description: The amount of fee charged.
            example: 1.4
    settlement_charge:
      type: object
      properties:
        id:
          type: string
          description: The ID of the charge.
          example: chg_zam88NgLb7
        charged_amount:
          type: number
          format: decimal
          description: The amount charged.
          example: 100
        customer_id:
          type: string
          description: The ID of the customer.
          example: cus_X0yJv3ZMpL
        settlement_amount:
          type: number
          format: decimal
          description: The amount settled.
          example: 98.6
        payment_method_id:
          type: string
          description: The ID of the payment method.
          example: pmd_wlVhaYmkl2
        currency:
          type: string
          description: ISO 4217 currency code.
          example: NGN
        charge_date:
          type: string
          description: The date the charge was created.
          example: '2024-06-26'
    page_info:
      type: object
      properties:
        total:
          type: integer
          description: The total number of items available across all pages
          format: int64
        current_page:
          type: integer
          description: The current page number being viewed
          format: int64
        total_pages:
          type: integer
          description: The total number of pages required to display all items.
          format: int64
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````